﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.LogDto>
@{
    ViewBag.Title = "Visit List";
}
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">접속자집계 / จำนวนผู้เข้าชม</h5>
                    </div>
                </div>
                <div class="card-body table-responsive">
                    <div class="xp-alert mt-3">
                        <div class="alert alert-light" role="alert">
                            @using (Html.BeginForm("", "VisitList", FormMethod.Post))
                            {
                                <div class="xp-alert">
                                    <div class="row justify-content-center">
                                        <div class="form-row">
                                            <div class="col-auto align-self-center">
                                                <div class="input-group mb-2">
                                                    <strong>기간별검색</strong>
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <div class="input-group mb-2">
                                                    <input type="text" id="start_date" name="start_date" class="form-control border bg-white" value="@TempData["start_date"]" />
                                                    @*@Html.TextBox("start_date", ViewBag.start_date as string, new { @class = "form-control border bg-white", @style = "width: ;" })*@
                                                </div>
                                            </div>
                                            <div class="col-auto align-self-center">
                                                <div class="input-group mb-2">
                                                    <strong>~</strong>
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <div class="input-group mb-2">
                                                    <input type="text" name="stop_date" id="stop_date" class="form-control border bg-white" value="@TempData["stop_date"]" />
                                                    @*@Html.TextBox("stop_date", ViewBag.stop_date as string, new { @class = "form-control border bg-white", @style = "width: ;" })*@
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <button type="submit" id="btnSearch" class="btn btn-info mb-2"><i class="icon-magnifier mr-2"></i>Search</button>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            }
                        </div>
                    </div>
                    <div style="max-width:100%; margin:auto;">
                        <div class="align-middle">
                            <span class="badge badge-primary badge-pill">전체  @ViewBag.Count 건</span>
                            <div class="float-right">
                                @using (Html.BeginForm("ExportToExcel", "VisitList", FormMethod.Post))
                                {
                                    <button type="submit" id="btnExport" style="margin-top:-10px;" class="btn btn-rounded btn-warning"><i class="icon-printer mr-2"></i> Export</button>
                                }
                            </div>
                        </div>
                        <div class="table-responsive m-b-30 mt-2">
                            <table class="table table-bordered">
                                <thead class="thead-dark">
                                    <tr class="text-center">
                                        <th class="align-middle" style="width:100px;">IP</th>
                                        <th class="align-middle">접속 경로 / เส้นทางการเชื่อมต่อ</th>
                                        <th class="align-middle" style="width:150px;">브라우저 / เบราว์เซอร์</th>
                                        <th class="align-middle" style="width:300px;">OS / ระบบปฏิบัติการ</th>
                                        <th class="align-middle" style="width:90px;">접속기기 / อุปกรณ์เชื่อมต่อ</th>
                                        <th class="align-middle" style="width:200px;">일시 / สร้าง</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if (Model != null && Model.Count() != 0)
                                    {
                                        foreach (var item in Model)
                                        {
                                            <tr class="text-center">
                                                <td> @Html.DisplayFor(modelItem => item.ip)</td>
                                                <td class="text-left"> @Html.DisplayFor(modelItem => item.url)</td>
                                                <td> @Html.DisplayFor(modelItem => item.browser)</td>
                                                <td> @Html.DisplayFor(modelItem => item.system_os)</td>
                                                <td> @Html.DisplayFor(modelItem => item.connect_hardware)</td>
                                                <td> @Html.DisplayFor(modelItem => item.start_date)</td>
                                            </tr>
                                        }
                                    }
                                    else
                                    {
                                        <tr class="text-center">
                                            <td colspan="6">
                                                No Data !!
                                            </td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                        @{
                            if (Convert.ToInt32(ViewBag.Count) > ViewBag.Rows)
                            {
                                <div class="justify-content-center row">
                                    @if(Model!=null){
                                        @Html.PagedListPager(Model, Page => Url.Action("Index", "VisitList", new { Page }))
                                    }
                                </div>
                            }
                        }
                    </div>
                </div>
            </div>
            <!-- End XP Col -->
        </div>
    </div>
</div>
<script>
    $(function () {
        $("#liMember").addClass("active");
        $("#meVisit").addClass("active");
       
        $("#start_date").datepicker({
            changeMonth: true,
            changeYear: true,
            dateFormat: 'yy-mm-dd',
            maxDate: 0,
            //defaultDate: new Date() 
        });
        $("#stop_date").datepicker({
            changeMonth: true,
            changeYear: true,
            dateFormat: 'yy-mm-dd',
            maxDate: 0,
            //defaultDate: new Date() 
        });
    });
</script>

